rem @echo off
set N=sup

rem set up RAM drive, 32Mb (32000 kb) as C: 
XMSDSK.EXE 32000 c: /t /y
if errorlevel=3 goto RamOK
echo
echo *************************************************
echo **   Error! RAMDRIVE could not be found        **
echo *************************************************
echo
goto END
:RamOK


SET netcard=elnk3.dos
SET protocol=protocol.ini
set server=STEVE
set share=seti-%N%
set account=administrator
set logondomain=HOME
set machname=seti-%N%

prompt=$p$g
path=a:\dos;a:\;a:\net

rem now start the network
NET logon %account% /savepw:no /y

net use x: \\%server%\98images

rem check map OK
if exist x:\%share%\*.* goto mapOK
echo
echo *************************************************
echo **   Error! \\%server%\%share% failed to map   **
echo *************************************************
echo
goto END

:mapOK
rem now do the copy
XCOPY x:\%share%\*.* c:\ /s

rem sanity check (do we have at least some files ?)
if exist c:\*.* goto CopyOK
echo
echo *************************************************
echo **   Error! files failed to copy               **
echo *************************************************
echo
goto END

:CopyOK
rem restore the 'hidden' file attributes (vital ??)
attrib c:\Drvspace.000 +H
attrib c:\drvspace.sys +H
attrib c:\msdos.sys +H
attrib c:\io.sys +H

rem OK, that's it, kill the network link
net use * /delete /yes
net logoff /yes
net STOP /yes

rem do we need to relocate the compression driver here ?
rem (was/currently done in Config.sys)
DEVICEHIGH=a:\DRVSPACE.SYS
c:\
SCANDISK /MOUNT
rem reset the path (so we can find windows command.com, ScanDisk & Win)
PATH = c:\;c:\windows;c:\windows\system;c:\windows\command
SET COMSPEC=c:\COMMAND.COM
rem now go for it (use /d:f switch to prevent 32bit disk drivers loading) 
WIN /D:F
:END
